%define upstream_name    String-BufferStack
%define upstream_version 1.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Nested buffers for templating systems
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildArch:  noarch

%description
'String::BufferStack' provides a framework for storing nested buffers. By
default, all of the buffers flow directly to the output method, but
individual levels of the stack can apply filters, or store their output in
a scalar reference.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/String/

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 372777
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 jquelin <jquelin> 1.160.0-1.mga2
+ Revision: 162303
- update to 1.16

* Tue Jan 18 2011 jquelin <jquelin> 1.150.0-1.mga1
+ Revision: 22835
- cleaning spec file
- imported package perl-String-BufferStack

